### Function

# Gcr trust_is_certificate_anchored_async

#### Declaration [src]

    void
    gcr_trust_is_certificate_anchored_async (
      GcrCertificate* certificate,
      const gchar* purpose,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Check if the `certificate` is a trust anchor for the given `purpose`. A trust anchor is used to verify the signatures on other certificates when verifying a certificate chain. Also known as a trusted certificate authority.

When the operation is finished, callback will be called. You can then call `gcr_trust_is_certificate_anchored_finish()` to get the result of the operation.

#### Parameters

`certificate` | `GcrCertificate`
| A `GcrCertificate` to check.
| The data is owned by the caller of the function.
`purpose` | `const gchar*`
| The purpose string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| The data to pass to callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.